%define anolis_release 1

Name: hexedit
Version: 1.6
Release: %{anolis_release}%{?dist}
Summary: A hexadecimal file viewer and editor
License: GPLv2+

URL: http://rigaux.org/hexedit.html
Source: https://github.com/pixel/%{name}/archive/%{version}.tar.gz

Patch1: hexedit-1.2.13-config.patch
# Document --color option.  Sent upstream 2013-04-05.
Patch2: hexedit-1.6-fix-lsm.patch

BuildRequires: ncurses-devel
BuildRequires: gcc
BuildRequires: make
BuildRequires: autoconf

%description
Hexedit shows a file both in ASCII and in hexadecimal. The file can be a device
as the file is read a piece at a time. Hexedit can be used to modify the file
and search through it.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
./autogen.sh
%configure
make %{_smp_mflags}

%install
make install \
  mandir=$RPM_BUILD_ROOT%{_mandir} \
  bindir=$RPM_BUILD_ROOT%{_bindir} \
  INSTALL='install -p'

%files
%license COPYING
%{_bindir}/hexedit
%{_mandir}/man1/hexedit.1*

%files doc
%doc hexedit.lsm Changes README.md

%changelog
* Thu Jan 12 2023 Yi Lei <leiyi.lei@alibaba-inc.com> - 1.6-1
- update to 1.6

* Tue Apr 12 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.5-1
- init from upstream
